'use strict';

app.factory('Program', function($q, $timeout, $http) {

		var srv =  {
            all: function() {
					var def = $q.defer();
					$timeout(function() {
							// Get the json
							$http.get('data/programs.json').success(function(data) {
                                  def.resolve(data);
							});
					}, 30); // timeout
					return def.promise;
			} // /all
		}; // /srv

		return srv;
}); // /Program
